---
group: Accounts
weight: 60
title: External OAuth Clients
---
If you would like to facilitate your own OAuth authentication rather than use Netlify's service or a client side flow like implicit or PKCE, you can use one of the community-maintained projects below. Feel free to hit the "Edit this page" button if you'd like to add yours!

| Author                                                       | Supported Git hosts               | Language(s)/Platform(s)           | Link                                                                                                                                                         |
| ------------------------------------------------------------ | --------------------------------- | --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [@vencax](https://github.com/vencax)                         | GitHub, GitHub Enterprise         | Node.js                           | [Repo](https://github.com/vencax/netlify-cms-github-oauth-provider)                                                                                          |
| [@igk1972](https://github.com/igk1972)                       | GitHub, GitHub Enterprise         | Go                                | [Repo](https://github.com/igk1972/netlify-cms-oauth-provider-go)                                                                                             |
| [@davidejones](https://github.com/davidejones)               | GitHub, GitHub Enterprise         | Python                            | [Repo](https://github.com/davidejones/netlify-cms-oauth-provider-python)                                                                                     |
| [@marcelkornblum](https://github.com/marcelkornblum)         | GitHub, GitHub Enterprise         | Google AppEngine with Python      | [Repo](https://github.com/signal-noise/netlify-cms-oauth-provider-python-appengine)                                                                          |
| [@marksteele](https://github.com/marksteele)                 | GitHub, GitHub Enterprise         | Serverless                        | [Repo](https://github.com/marksteele/netlify-serverless-oauth2-backend), [Blog](https://www.control-alt-del.org/blog/serverless-blog-howto/)                 |
| [@Herohtar](https://github.com/Herohtar)                     | GitHub, GitHub Enterprise         | Firebase Cloud Function           | [Repo](https://github.com/Herohtar/netlify-cms-oauth-firebase)                                                                                               |
| [@abcalderon3](https://github.com/abcalderon3)               | GitHub, GitHub Enterprise         | Google Cloud Function with Python | [Repo](https://github.com/abcalderon3/netlify-cms-oauth-client-cloud-function)                                                                               |
| [@TSV-Zorneding-1920](https://github.com/TSV-Zorneding-1920) | GitHub, GitHub Enterprise         | PHP                               | [Repo](https://github.com/TSV-Zorneding-1920/netlify-cms-oauth-provider-php)                                                                                 |
| [@bericp1](https://github.com/bericp1)                       | GitHub, GitHub Enterprise         | Node.js, Vercel Serverless        | [Repo](https://github.com/bericp1/netlify-cms-oauth-provider-node)                                                                                           |
| [@mcdeck](https://github.com/mcdeck)                         | GitHub, GitHub Enterprise, GitLab | PHP                               | [Repo](https://github.com/mcdeck/netlify-cms-oauth-provider-php), [Blog](https://www.van-porten.de/blog/2021/01/netlify-auth-provider/)                      |
| [@deepbass](https://github.com/deepbass)                     | GitHub, GitHub Enterprise         | Node.js Azure Functions           | [Repo](https://github.com/deepbass/serverless-cms-azure), [Blog](https://www.danielbass.dev/building-a-serverless-cms-on-azure-with-netlify-cms-and-gatsby/) |
| [@adrian-ub](https://github.com/adrian-ub)                   | GitHub, GitLab                    | TypeScript                        | [Repo](https://github.com/ublabs/netlify-cms-oauth)                                                                                                          |
| [@hatappo](https://github.com/hatappo)                       | GitHub                            | ClojureScript, Firebase Functions | [Repo](https://github.com/hatappo/netlifycms-oauth-server)                                                                                                   |

Check each project's documentation for instructions on installation and usage.
